Package org.apache.sling.maven.jspc

## Class JspCClassLoaderWriter

- java.lang.Object
- - org.apache.sling.maven.jspc.JspCClassLoaderWriter

All Implemented Interfaces:
  `org.apache.sling.commons.classloader.ClassLoaderWriter`

    public class JspCClassLoaderWriter
    extends Object
    implements org.apache.sling.commons.classloader.ClassLoaderWriter

Implements the class loader writer

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `delete​(String fileName)`
`ClassLoader` `getClassLoader()`
`InputStream` `getInputStream​(String fileName)`
`long` `getLastModified​(String fileName)`
`OutputStream` `getOutputStream​(String fileName)`
`boolean` `rename​(String oldFileName, String newFileName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOutputStream

    public OutputStream getOutputStream​(String fileName)

Specified by:
  `getOutputStream` in interface `org.apache.sling.commons.classloader.ClassLoaderWriter`

#### getInputStream

    public InputStream getInputStream​(String fileName)
                               throws IOException

Specified by:
  `getInputStream` in interface `org.apache.sling.commons.classloader.ClassLoaderWriter`
Throws:
  `IOException`

#### getLastModified

    public long getLastModified​(String fileName)

Specified by:
  `getLastModified` in interface `org.apache.sling.commons.classloader.ClassLoaderWriter`

#### delete

    public boolean delete​(String fileName)

Specified by:
  `delete` in interface `org.apache.sling.commons.classloader.ClassLoaderWriter`

#### rename

    public boolean rename​(String oldFileName,
                          String newFileName)

Specified by:
  `rename` in interface `org.apache.sling.commons.classloader.ClassLoaderWriter`

#### getClassLoader

    public ClassLoader getClassLoader()

Specified by:
  `getClassLoader` in interface `org.apache.sling.commons.classloader.ClassLoaderWriter`